Bug 113095 - Dialog tab labels dont have sufficient padding on Windows
Summary: Dialog tab labels dont have sufficient padding on Windows
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: UI-Theming Dialog-UX
  Show dependency treegraph
 
Reported: 2017-10-13 13:15 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-06-09 03:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
tab labels in word 2013 vs LO vs windows explorer (74.69 KB, image/png)
2017-10-13 13:15 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-13 13:15:01 UTC
Created attachment 136952 [details]
tab labels in word 2013 vs LO vs windows explorer

In the screenshot on Windows 8.1, you can see that dialog tab labels in LO have a 1px padding on either side between it and the dotted highlight border, while windows explorer has 4px padding and word 2013 has 10px padding.
Comment 1 andreas_k 2017-10-13 13:21:51 UTC
I would go with fit window wide if there are and a maximum size.
Comment 2 Yousuf Philips (jay) (retired) 2017-10-15 21:16:05 UTC
I think that a minimum horizontal padding should be set no matter what the theme the user uses on any OS. Heiko, Stuart: What are your takes?
Comment 3 Heiko Tietze 2017-10-16 09:56:27 UTC
Messing up with the system theme is not a good idea. It's also not a Windows-only solution. We should investigate first why the tabs are different over the three dialogs in the attachment.
Comment 4 Heiko Tietze 2018-06-08 08:15:47 UTC
IIRC this has changed recently. Can we close the ticket, Andreas?
Comment 5 andreas_k 2018-06-08 10:23:46 UTC
Checked daily build on windows 7 but I don't see a difference in the tab style between 6.0 and master build. So where was the tab style changed?
Comment 6 Heiko Tietze 2018-06-08 10:39:56 UTC
Thought there was some effort but I might be wrong. And my take is to respect the system theme. Anyway, let's keep it open, but further UX input is not needed.
Comment 7 andreas_k 2018-06-08 10:48:41 UTC
I'm definitly for respect system theme but on the other side short words with 4 letters are very difficult to click so define a minimum horizontal padding would be nice AND not a windows only solution would help also the fallback "theme".
Comment 8 QA Administrators 2019-06-09 03:01:37 UTC Comment hidden (obsolete)
Comment 9 andreas_k 2019-06-09 19:42:13 UTC
There should be more padding at windows tabbs.
Comment 10 QA Administrators 2021-06-09 03:47:16 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug